package dfaExUtil

import "testing"

func TestHandleWord(t *testing.T) {
	strs := []string{"ABC", "1234", "测试", "测试代码", "测试一下"}

	dfaEx1 := NewDFAEx(strs)
	str := dfaEx1.HandleWord("abc按了数字12345来测试代码是否正常，结果测试出了bug", '*')
	t.Log(str)

	dfaEx2 := NewDFAEx(strs, true)
	str = dfaEx2.HandleWord("abc按了数字12345来测试代码是否正常，结果测试出了bug", '*')
	t.Log(str)
}
